namespace WorldOfPeacecraft
{
	public class Player : Entity, IPlayer
	{
		private int Score;

		public Player (int id, int posX, int posY, string desc, bool busy, int score) : base(id, posX, posY, desc, busy)
		{
			this.SetScore(score);
		}

		public void SetScore(int score)
		{
			this.Score = score;
		}

		public int GetScore ()
		{
			return Score;
		}

		public string GetName ()
		{
			return Desc;
		}

        public override string ToString()
        {
            return "Player: " + Id + " " + Coord.X + " " + Coord.Y + " " + Desc + " " + Busy + " " + Score;
        }
	}
}
